message("Adding external plugin: ImmX11Plugin")
set(pluginName "ImmX11Plugin")
set(pluginSrc "${srcPluginsDir}/ImmX11Plugin")
set(pluginCross "${crossDir}/plugins/ImmX11Plugin")
set(pluginPlatform "${targetPlatform}/plugins/ImmX11Plugin")
set(LINKLIBS )
list(APPEND sources  "${pluginSrc}/ImmX11Plugin.c")
include_directories(${pluginSrc} ${pluginCross} ${targetPlatform}/plugins/${pluginName})
list(APPEND LINKLIBS freetype)
add_library(ImmX11Plugin SHARED ${sources})
set(LIBRARY_OUTPUT_PATH ${outputDir})
set(linkFlags "${linkFlags} -m32")
target_link_libraries(ImmX11Plugin ${LINKLIBS})
set_property(TARGET ImmX11Plugin PROPERTY LINK_FLAGS "${linkFlags}")
